import cockpit from "cockpit";

const scriptLocations = [
    "/usr/local/share/cockpit/revpi-config/scripts/create_sso_token.sh",
    "/usr/share/cockpit/revpi-config/scripts/create_sso_token.sh"
];

export class PictoryService {
    get noPictoryAvailable () {
        return cockpit.transport.host !== "localhost";
    }

    async createSsoToken () {
        for (const location of scriptLocations) {
            try {
                const token = await cockpit.spawn(location, { superuser: "require" });
                // If the first attempt succeeds, no need for the second attempt
                return token;
            } catch (error) {
                console.log(`No script found at location '${location}'. Proceeding to the next available location.`, error);
            }
        }
        throw new Error("No script found at any given location.");
    }
}
